<Requests>
    <SqlRequest>
        <RequestValidationRules
            isEmptyIdsAllowed="false"
            isIdsFormatted="true"
        />
        <RequestURL>
            <![CDATA[
            DO
            $$
                begin
                update recruits
                set current_recruitment_id  = jsonb_extract_path_text(extra_info,'blocked','cur')::uuid
                    ,target_recruitment_id = jsonb_extract_path_text(extra_info,'blocked','trg')::uuid
                    ,department_id_old = jsonb_extract_path_text(extra_info,'blocked','dio')::uuid
                    ,system_pgs_status = '1.2'
                    ,conscription = null
                    ,extra_info = extra_info - ('blocked')
                where id in ${endpointArguments};
                end
            $$;
            ]]>
        </RequestURL>
        <SqlConnectionParams>
            <JdbcHost>10.10.31.118</JdbcHost>
            <JdbcPort>5432</JdbcPort>
            <JdbcUsername>ervu</JdbcUsername>
            <JdbcPassword>ervu</JdbcPassword>
            <JdbcDriverClassName>org.postgresql.Driver</JdbcDriverClassName>
            <JdbcXaDataSourceClassName>org.postgresql.xa.PGXADataSource</JdbcXaDataSourceClassName>
            <JdbcXaDataSourcePoolSize>50</JdbcXaDataSourcePoolSize>
            <JdbcDatabase>person_registry</JdbcDatabase>
        </SqlConnectionParams>
    </SqlRequest>

</Requests>